/Users/bernard/b20/bsoft/include/rwHKL.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwHKL.h - Header file for reading and writing HKL reflection files as images.

SYNOPSIS

#include 'rwimg.h'

  Functions
int readHKL (Bimage *p, int readdata)
Reading a HKL structure factor file format. This function reads a HKL file typically produced with MTZDUMP from X-ray crystallographic structure factor files in the CCP4 package. The first line as a space-delimited list of headers for the columns. All subsequent lines are rows containing the indices and data. Column headers: H K L indices. AMP amplitudes. SIGAMP amplitude deviations. PHI phases. SIGPHI phase deviations. FOM figure-of-merit values. FREE flag for R-free calculations.
int writeHKL (Bimage *p)
Writing a HKL structure factor file format. This function writes a HKL structure factor file.

Detailed Description

Header file for reading and writing HKL reflection files as images.

Author:
    Bernard Heymann

Date:
    Created: 19981229

    Modified: 20000708

    Format: 3D generic structure factor file format

Definition in file rwHKL.h.

Function Documentation

  int readHKL (Bimage * p, int readdata)

Reading a HKL structure factor file format. This function reads a HKL file typically produced with MTZDUMP from X-ray crystallographic structure factor files in the CCP4 package. The first line as a space-delimited list of headers for the columns. All subsequent lines are rows containing the indices and data. Column headers: H K L indices. AMP amplitudes. SIGAMP amplitude deviations. PHI phases. SIGPHI phase deviations. FOM figure-of-merit values. FREE flag for R-free calculations.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure).

Definition at line 36 of file rwHKL.cpp.

  int writeHKL (Bimage * p)

Writing a HKL structure factor file format. This function writes a HKL structure factor file.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure).

Definition at line 210 of file rwHKL.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.